Project

General

Profile

Backport #4520

Unstallation of previous ruby versions is not done with latest ruby versions

Added by vkoyi (Venkateswara Koyi) over 8 years ago. Updated 7 days ago.

Status:
Closed
Priority:
Normal
[ruby-core:<unknown>]

Description

=begin

Envioronment:-

OS: Win XP,WIN Vista

Steps to reproduce:-

1.Install rubyinstaller 1.8.7 in machine
2.Try to install latest version 1.9.2 or any above 1.8.7 (which was installed). we can observe the latest version does not try to uninstall previous version (1.8.7) ,it allows to complete installation,after we can see both versions in our machine.

the functionality has been wroking till 1.8.6.25 ,only rubyinstallers not doing this functionality.

we think any software which is trying to install should uninstall previous versions if anyone was there in machin.
=end

History

#1

Updated by vkoyi (Venkateswara Koyi) over 8 years ago

=begin
Venkateswara Koyi wrote:

Envioronment:-

OS: Win XP,WIN Vista

Steps to reproduce:-

1.Install rubyinstaller 1.8.7 in machine
2.Try to install latest version 1.9.2 or any above 1.8.7 (which was installed). we can observe the latest version does not try to uninstall previous version (1.8.7) ,it allows to complete installation,after we can see both versions in our machine.

the functionality has been wroking till 1.8.6.25 ,only rubyinstallers not doing this functionality.

we think any software which is trying to install should uninstall previous versions if anyone was there in machin.

Iam not sure about right person to handle this.If Katie is not right person pls assign to respective person.

=end

#2

Updated by shyouhei (Shyouhei Urabe) over 8 years ago

  • Status changed from Open to Assigned
#3

Updated by jeremyevans0 (Jeremy Evans) 7 days ago

  • ruby -v deleted (1.8.7)
  • Target version deleted (Ruby 1.8.7)
  • Status changed from Assigned to Closed
  • Description updated (diff)
  • Project changed from Ruby 1.8 to Backport187
  • Tracker changed from Bug to Backport

Also available in: Atom PDF